/*
 *--- PGetStoryList.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetStoryList.html
 *-------------------------------------------------------------------------
 */

#include "PGetStoryList.h"
#include "PReplyBuf.h"

PGetStoryList::PGetStoryList()
: PListQuery(pm_getstorylist)
{
	Scan();
}

void PGetStoryList::Scan()
{
	PReplyBuf reply(listMom.Current());
	
	reply	>> &fFilename
			>> nNumChars;
	
	textBlock = reply;
	
	listMom.Update(textBlock.End());
}

// end of PGetStoryList.cpp
